%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name amq-protocol
%global rubyabi 1.9.1

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.9.2
Release: 3%{?dist}
Summary: AMQP 0.9.1 encoder & decoder
Group: Development/Languages
License: MIT
URL: http://github.com/ruby-amqp/amq-protocol
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems)
BuildRequires: %{?scl_prefix}rubygem(rspec)
BuildRequires: %{?scl_prefix}rubygems-devel
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
amq-protocol is an AMQP 0.9.1 serialization library for Ruby. It is not an
AMQP client: amq-protocol only handles serialization and deserialization.
If you want to write your own AMQP client, this gem can help you with that.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} "}
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:"}

%build
%{?scl:scl enable %{scl} "}
gem build %{gem_name}.gemspec

gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%install

mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

pushd %{buildroot}%{gem_instdir}/
rm -rf Rakefile amq-protocol.gemspec benchmarks \
       .gitignore .travis.yml .rspec codegen profiling \
       generate.rb .gitmodules
popd

%check
pushd ./%{gem_instdir}
sed -i /effin_utf8/d Gemfile
sed -i /effin_utf8/d spec/spec_helper.rb
sed -i /bundler/d spec/spec_helper.rb

%{?scl:scl enable %{scl} "}
rspec -Ilib spec
%{?scl:"}

popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_instdir}/LICENSE

%files doc
%{gem_docdir}
%{gem_instdir}/README.md
%{gem_instdir}/ChangeLog.md
%{gem_instdir}/Gemfile
%{gem_instdir}/spec/*

%changelog
* Thu Feb 20 2014 Joe Rafaniello <jrafanie@redhat.com> - 1.9.2-3
- Fix missing global rubyabi which caused an error when generating a puddle:
  unresolved deps:
     ruby193-ruby(abi) = 0:%{rubyabi}

* Fri Feb 14 2014 Mo Morsi <mmorsi@redhat.com> - 1.9.2-2
- Update to conform w/ guidelines, use scl macros

* Sat Jan 11 2014 Nitesh Narayan Lal <niteshnarayan@fedoraproject.org> - 1.9.2-1
- Initial package
